Api

Publish Reward Terms

POST
/v1/benefit-rules/{ruleId}/terms

Authorization

WorkspaceApiKey
X-Api-Key<token>

Workspace-owned Better Auth API key of one environment (Sandbox or Live); it authorizes the Projects of that environment in its Workspace. A Project of the other environment returns 403 ENVIRONMENT_MISMATCH. Never expose it in the browser.

In: header

Path Parameters

ruleId*string
Match\S
Length1 <= length <= 512

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/benefit-rules/string/terms" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string",    "terms": {      "benefitKind": "cash",      "changeNote": "string",      "calculation": "fixed",      "fixedAmountMinor": "string",      "currency": "string",      "currencyExponent": 0    }  }'
{  "success": true}